<script setup lang="ts">
	import storyForm from "~/components/story/create/storyForm.vue";
	import { defaultStory } from "@client/types/form/story";
	const ds = ref(defaultStory);
	const { getSession } = useAuth();
	await getSession({ force: true });

	definePageMeta({
		middleware: ["auth"],
	});
	useHead({
		title: "Post a new Story",
	});
</script>
<template>
	<a-typography-title> Post a new Story </a-typography-title>
	<story-form endpoint-method="post" :can-draft="true" v-model:data="ds" endpoint="/story/new" />
</template>
